Subject: Re: [PATCH 0/2] RFC: Adjust powerpc ASLR elf randomness

From: Balbir Singh <[email-masked]>
Date: Thu, 2 Feb 2017 12:14:15 +0530

On Thu, Feb 02, 2017 at 11:12:46AM +0530, Bhupesh Sharma wrote:
> This RFC patchset tries to make the powerpc ASLR elf randomness
> implementation similar to other ARCHs (like x86).
> 
> The 1st patch introduces the support of ARCH_MMAP_RND_BITS in powerpc
> mmap implementation to allow a sane balance between increased randomness
> in the mmap address of ASLR elfs and increased address space
> fragmentation.
> 

>>From what I see we get 28 bits of entropy right for 64k pages
bits as compared to 14 bits earlier?

> The 2nd patch increases the ELF_ET_DYN_BASE value from the current
> hardcoded value of 0x2000_0000 to something more practical,
> i.e. TASK_SIZE - PAGE_SHIFT (which makes sense especially for
> 64-bit platforms which would like to utilize more randomization
> in the load address of a PIE elf).
> 

This helps PIE executables as such and leaves other not impacted?

Balbir Singh